Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000372graphvizTcl/Tk Utilitiespublic2004-04-21 11:132011-04-28 04:02
ReporterAuke Kok 
Assigned Toellson 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSx86-Linux-Lunar-LinuxOS Version
Summary0000372: compile error: graphviz tries to include X headers while not present
Description



Graphviz tries to build using X include files that are not present, even when configure
correctly detects them as being non-present: (snipplets)
<CD>
checking for tclsh8.4... /usr/bin/tclsh8.4
using /usr/lib/tclConfig.sh
checking for wish8.4... no
checking for wish8.3... no
checking for wish... no
configure: WARNING: Unable to find tkConfig.sh. The package "tkspline" will not
checking for main in -lm... yes
checking for connect... yes
checking for gethostbyname... yes
checking for X... no
configure: WARNING: X11 not available.
configure: WARNING: No X



checking X11/Intrinsic.h usability... no
checking X11/Intrinsic.h presence... no
checking for X11/Intrinsic.h... no
checking for X11/Xaw/Text.h... no
checking for main in -lXaw... no
configure: WARNING: Optional Xaw library not available



make[5]: Entering directory `/usr/src/graphviz-1.11/lefty/ws/x11/libfilereq'
source='Dir.c' object='Dir.lo' libtool=yes \
depfile='.deps/Dir.Plo' tmpdepfile='.deps/Dir.TPlo' \
depmode=gcc3 /bin/sh ../../../../config/depcomp \
/bin/sh ../../../../libtool --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I../../.
gcc -DHAVE_CONFIG_H -I. -I. -I../../../.. -O3 -mcpu=pentium3 -march=pentium3 -fu
In file included from Dir.c:40:
SFinternal.h:27:27: X11/Intrinsic.h: No such file or directory
SFinternal.h:28:28: X11/StringDefs.h: No such file or directory
SFinternal.h:29:21: X11/Xos.h: No such file or directory
SFinternal.h:30:26: X11/Xaw/Text.h: No such file or directory
SFinternal.h:31:31: X11/Xaw/AsciiText.h: No such file or directory
</CD>



etc etc etc
Additional Information

[ellson] This problem was fixed in graphviz-1.12

[auke]
yes, but now the same happens for tk.h missing (tcl.h is present).

this may not be obvious since tcl.h and tk.h (analogous to tcl and tk anyway) do not necessarily have to be present at the same time (in our little distro they are separately installable for good reasons). It is perfectly normal to have tcl on machines without X and therefore no tk. I suspect a similar pitfall exists:

<CD>
...
checking for tclsh8.4... /usr/bin/tclsh8.4
using /usr/lib/tclConfig.sh
checking for wish8.4... no
checking for wish8.3... no
checking for wish... no
configure: WARNING: Unable to find tkConfig.sh. The package "tkspline" will not
checking for main in -lm... yes
checking for connect... yes
checking for gethostbyname... yes
checking for X... no
configure: WARNING: X11 not available.
configure: WARNING: No X

...

config.status: creating tclpathplan/demo/Makefile
config.status: creating tclpathplan/demo/pathplan_data/Makefile
config.status: creating tkspline/Makefile
config.status: creating tkspline/demo/Makefile
config.status: creating gdtclft/Makefile
config.status: creating gdtclft/demo/Makefile

...

make[2]: Entering directory `/usr/src/graphviz-1.12/tkstubs'
source='tkStubLib.c' object='tkStubLib.lo' libtool=yes \
depfile='.deps/tkStubLib.Plo' tmpdepfile='.deps/tkStubLib.TPlo' \
depmode=gcc3 /bin/sh ../config/depcomp \
/bin/sh ../libtool --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I.. -O3 -mcpu=pentium4 -march=pentium4 -mmmx -msse -msse2 -mfpmath=sse,387 -Wall -Wno-unknown-pragmas -c -o tkStubLib.lo `test -f 'tkStubLib.c' || echo './'`tkStubLib.c
source='tkStubImg.c' object='tkStubImg.lo' libtool=yes \
depfile='.deps/tkStubImg.Plo' tmpdepfile='.deps/tkStubImg.TPlo' \
depmode=gcc3 /bin/sh ../config/depcomp \
/bin/sh ../libtool --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I.. -O3 -mcpu=pentium4 -march=pentium4 -mmmx -msse -msse2 -mfpmath=sse,387 -Wall -Wno-unknown-pragmas -c -o tkStubImg.lo `test -f 'tkStubImg.c' || echo './'`tkStubImg.c
gcc -DHAVE_CONFIG_H -I. -I. -I.. -O3 -mcpu=pentium4 -march=pentium4 -mmmx -msse -msse2 -mfpmath=sse,387 -Wall -Wno-unknown-pragmas -c tkStubImg.c -MT tkStubImg.lo -MD -MP -MF .deps/tkStubImg.TPlo -fPIC -DPIC
gcc -DHAVE_CONFIG_H -I. -I. -I.. -O3 -mcpu=pentium4 -march=pentium4 -mmmx -msse -msse2 -mfpmath=sse,387 -Wall -Wno-unknown-pragmas -c tkStubLib.c -MT tkStubLib.lo -MD -MP -MF .deps/tkStubLib.TPlo -fPIC -DPIC
mv -f tkStubImg.o tkStubImg.lo
tkStubLib.c:2:16: tk.h: No such file or directory
tkStubLib.c: In function `tkstubs_dummy':
tkStubLib.c:5: warning: implicit declaration of function `Tk_InitStubs'
make[2]: *** [tkStubLib.lo] Error 1
make[2]: Leaving directory `/usr/src/graphviz-1.12/tkstubs'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/graphviz-1.12'
make: *** [all] Error 2
</CD>

[ellson] OK. This was a new bug. Thanks. Now fixed in CVS.

TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENT
FORMER-ID435
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENTFixed (23 April 2004)
VERSION     1.11
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-04-28 04:02 user1 New Issue
2011-04-28 04:02 user1 Assigned To => user695


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker